Skip to main content
POST
/
v1
/
agents
/
{agentId}
/
branches
/
{branchId}
/
knowledge-base
/
topics
Create knowledge base topic
curl --request POST \
  --url https://api.us.poly.ai/v1/agents/{agentId}/branches/{branchId}/knowledge-base/topics \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "name": "<string>",
  "content": "<string>",
  "actions": "<string>",
  "isActive": true
}
'
import requests

url = "https://api.us.poly.ai/v1/agents/{agentId}/branches/{branchId}/knowledge-base/topics"

payload = {
    "name": "<string>",
    "content": "<string>",
    "actions": "<string>",
    "isActive": True
}
headers = {
    "X-API-KEY": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({name: '<string>', content: '<string>', actions: '<string>', isActive: true})
};

fetch('https://api.us.poly.ai/v1/agents/{agentId}/branches/{branchId}/knowledge-base/topics', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "content": "<string>",
  "actions": "<string>",
  "exampleQueries": {
    "queries": [
      "<string>"
    ]
  },
  "isActive": true
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

agentId
string
required
branchId
string
required

Body

application/json
name
string
required
Minimum string length: 1
content
string
required
Minimum string length: 1
actions
string
exampleQueries
object
isActive
boolean

Response

201 - application/json

Created topic

id
string
required
name
string
required
content
string
required
actions
string
required
exampleQueries
object
required
isActive
boolean
required
Last modified on April 22, 2026